//////////////////////////////////////////////////////////////////////////////////////////

//This device is part of the EEPROM family
#define SPI_FLASH


#define SPI_Description		"Winbond W25X16VSSIG"

//Flash commands
#define SPI_WREN            (0x06)		//Set Write Enable Latch
#define SPI_WRDI            (0x04)		//Reset Write Enable Latch
#define SPI_RDSR            (0x05)		//Read Status Register
#define SPI_WRSR            (0x01)		//Write Status Register
#define SPI_READ            (0x03)		//Read data from memory
#define SPI_PP              (0x02)		//Program Data into memory
#define SPI_SE              (0x20)		//Erase one sector in memory
#define SPI_BE              (0xC7)		//Erase all memory

//Bit Masks
#define WIP					(0x1)		//Check the write in progress bit of the SPI status register
#define WEL					(0x2)		//Check the write enable bit of the SPI status register

//Maximum number of bytes that can be sent to the SPI in a single program sequence
#define SPI_PAGE_SIZE		256

//Sector Size
#define SPI_SECTORS			512		//Includes 512 sector
#define SPI_SECTOR_SIZE		0x1000	//The sector size

//24 bit addressable device
#define SPI_24BIT_ADDRESSING

//////////////////////////////////////////////////////////////////////////////////////////